> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all redeems

> Get details for all redeems in the profile associated with the API key.



## OpenAPI

````yaml GET  /wrapped-assets/redeem
openapi: 3.0.1
info:
  title: REST API
  description: >-
    # Welcome to Coinbase Exchange API

    ## Introduction

    The Exchange Trading APIs allow institutions to place orders and access
    account information. The following API pages detail various REST API
    endpoints we offer for lower-frequency trading and general requests.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Authentication](/exchange/docs/rest-auth)

    - [Rate Limits](/exchange/docs/rest-rate-limits)

    - [Pagination](/exchange/docs/rest-pagination)

    - [Status Codes](/exchange/docs/rest-requests)

    - [Quickstart](/exchange/docs/getting-started)

    ## FIX API

    - [FIX API reference](/exchange/docs/fix-connectivity)

    ## WebSocket API

    - [WebSocket API reference](/exchange/docs/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.exchange.coinbase.com/
security:
  - ApiKeyAuthKey: []
    ApiKeyAuthPassphrase: []
    ApiKeyAuthSign: []
    ApiKeyAuthTimestamp: []
paths:
  /wrapped-assets/redeem:
    get:
      tags:
        - Wrapped assets
      summary: Get all redeems
      description: Get details for all redeems in the profile associated with the API key.
      operationId: ExchangeRESTAPI_ListWrappedAssetRedeems
      parameters:
        - name: before
          in: query
          description: >-
            Used for pagination, returns stake-wraps with created_at timestamps
            newer than before date. Example date format
            2023-03-15T23:40:04.505Z.
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Used for pagination, returns stake-wraps with created_at timestamps
            older than after date. Example date format 2023-03-15T23:40:04.505Z.
          schema:
            type: string
        - name: limit
          in: query
          description: Limit on number of results to return.
          schema:
            type: integer
            format: int64
        - name: from_currency
          in: query
          description: from_currency, i.e. CBETH.
          schema:
            type: string
        - name: to_currency
          in: query
          description: to_currency, i.e. ETH.
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/apiRedeem'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiUnauthorizedResponse'
        '500':
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiErrorResponse'
components:
  schemas:
    apiRedeem:
      required:
        - canceled_at
        - completed_at
        - conversion_rate
        - created_at
        - from_account_id
        - from_amount
        - from_currency
        - id
        - idem
        - status
        - to_account_id
        - to_amount
        - to_currency
      type: object
      properties:
        id:
          type: string
        from_amount:
          type: string
        to_amount:
          type: string
        from_account_id:
          type: string
        to_account_id:
          type: string
        from_currency:
          type: string
        to_currency:
          type: string
        status:
          type: string
        conversion_rate:
          type: string
        created_at:
          type: string
          format: date-time
        completed_at:
          type: string
          format: date-time
        canceled_at:
          type: string
          format: date-time
        idem:
          type: string
      example:
        id: c5aaf125-d99e-41fe-82ea-ad068038b278
        from_amount: '11.00000000'
        to_amount: '11.00000000'
        from_account_id: 5dcc143c-fb96-4f72-aebf-a165e3d29b53
        to_account_id: 6100247f-90fc-4335-ac17-d99839f0c909
        from_currency: USDC
        to_currency: USD
        status: pending
        conversion_rate: '1.006'
        created_at: '2019-06-11T22:11:56.382Z'
        completed_at: '2019-06-11T22:11:56.382Z'
        canceled_at: '2019-06-11T22:11:56.382Z'
        idem: 1c23a08a-8d09-4b6f-b549-985997bb5990
    apiUnauthorizedResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
      description: >-
        UnauthorizedResponse is the response message for endpoints in
        rest-gateway that requires authentication.

        This message is used to generate the Exchange REST API documentation
        using OpenAPI format.
    apiErrorResponse:
      type: object
      properties:
        message:
          title: message
          pattern: ^[a-zA-Z0-9]{1, 32}$
          type: string
  securitySchemes:
    ApiKeyAuthKey:
      type: apiKey
      name: cb-access-key
      in: header
    ApiKeyAuthPassphrase:
      type: apiKey
      name: cb-access-passphrase
      in: header
    ApiKeyAuthSign:
      type: apiKey
      name: cb-access-sign
      in: header
    ApiKeyAuthTimestamp:
      type: apiKey
      name: cb-access-timestamp
      in: header

````